# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name          = 'ruby-ip2'
  spec.version       = '0.10.0'
  spec.authors       = ['Brian Candler', 'Martin Schmidt', 'Mike Simkins']
  spec.email         = ['software@g7m3.com']

  spec.summary       = 'IP Address Manipulation Library'
  spec.description   = 'Context Aware IP Address Manipulation Library'
  spec.homepage      = 'https://github.com/g7m3/ruby-ip2'
  spec.license       = 'Ruby'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/g7m3/ruby-ip2'
  spec.metadata['changelog_uri'] = 'https://github.com/g7m3/ruby-ip2/blob/master/CHANGELOG.md'

  spec.add_development_dependency 'bundler', '>= 1.7', '< 3'
  spec.add_development_dependency 'minitest', '~> 5.14'
  spec.add_development_dependency 'rake', '>= 12.3.3'
  spec.add_development_dependency 'coveralls', '~> 0.8'

  spec.add_dependency 'activemodel', '~> 6.0'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
end
